<?php

/*********************************************************************

 新着サークル表示プラグイン (2015/01/30)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_circle_recently()
{
	global $freo;

	if ($freo->config['plugin']['circle_recently']['default_limit'] == 0) {
		return;
	}

	//検索条件設定
	$condition = null;

	//コメント取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_circles WHERE user_id IS NOT NULL ' . $condition . ' ORDER BY modified DESC LIMIT :limit');
	$stmt->bindValue(':limit', intval($freo->config['plugin']['circle_recently']['default_limit']), PDO::PARAM_INT);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_circles = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_circles[$data['user_id']] = $data;
	}

	//サークルID取得
	$plugin_circle_keys = array_keys($plugin_circles);

	//データ割当
	$freo->smarty->assign(array(
		'plugin_circle_recentries'          => $plugin_circles,
	));

	return;
}

?>
